From 7d4b1decfec02dbc264582f7b8352b2a8894183b Mon Sep 17 00:00:00 2001
From: Kostyantyn Vorobyov <kostyantyn.vorobyov@cea.fr>
Date: Tue, 26 Jan 2016 15:21:13 +0100
Subject: [PATCH] Update e-acsl-gcc.sh to check the value of the computed
 machdep flag

---
 src/plugins/e-acsl/scripts/e-acsl-gcc.sh | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/plugins/e-acsl/scripts/e-acsl-gcc.sh b/src/plugins/e-acsl/scripts/e-acsl-gcc.sh
index dc270bb7d09..dae2bc058f4 100755
--- a/src/plugins/e-acsl/scripts/e-acsl-gcc.sh
+++ b/src/plugins/e-acsl/scripts/e-acsl-gcc.sh
@@ -56,6 +56,9 @@ ERROR="ERROR parsing arguments:"
 # architecture we need to make sure that same architecture is used for
 # instrumentation and for compilation.
 MACHDEPFLAGS="`getconf LONG_BIT`"
+# Check if getconf gives out the value accepted by Frama-C/GCC
+echo "$MACHDEPFLAGS" | grep '16\|32\|64' \
+  || error "$MACHDEPFLAGS-bit architecture not supported"
 # -machdep option sent to frama-c
 MACHDEP="-machdep gcc_x86_$MACHDEPFLAGS"
 # Macro for correct preprocessing of Frama-C generated code
-- 
GitLab